# ZitZoeker

A simple application to search for a bench near you.

## Setup

1. Clone the repository
2. Copy the `.env.example` file to `.env` and add (at least) the `USER_AGENT` variable.

### Deployment through Docker

I included a example `docker-compose.yml` file that you can use to deploy the application.

### Local development

You can also run the application locally.

0. Install Node.JS. For Linux, simply `curl -fsSL https://raw.githubusercontent.com/tj/n/master/bin/n | bash -s lts`. This will install the latest LTS version.
1. Use `corepack enable` to enable pnpm support. Pnpm is a alternative to npm that is faster and more optimized.
2. Install the dependencies with `pnpm install`
3. Run `pnpm start` to start the backend server.
4. Run `pnpm dev` to start the frontend.
5. Open `http://localhost:3000` in your browser. (url of the frontend).

The backend server doesn't automatically reload when you change the code, so you will have to restart it manually.
